### Constructor

# Eog ListStore new_from_glist

#### Declaration [src]

    GtkListStore*
    eog_list_store_new_from_glist (
      GList* list
    )

#### Description [src]

Creates a new `EogListStore` from a list of `EogImage`‘s. The given list must be `NULL`-terminated.

#### Parameters

`list`

  Type: A list of `EogImage*`

  A `NULL`-terminated list of `EogImage`‘s.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkListStore`

A new `EogListStore`.

The caller of the function takes ownership of the data, and is responsible for freeing it.